package com.jeethink.receive.domain;


import com.jeethink.common.core.domain.BaseEntity;
import com.jeethink.system.domain.SystemFile;

import java.util.Date;
import java.util.List;

public class ArchivesFile extends BaseEntity {
  private static final long serialVersionUID = 1L;
  private String archivesFileId;
  private String rsFileType;
  private String jkFileDate;
  private String checkHospital;
  private String checkConclusion;
  private Date checkDate;
  private String archivesId;
  private Date createTime;
  private Date updateTime;
  private long createUser;
  private long updateUser;
  private String deleted;

  private List<SystemFile> fileList;

  public String getArchivesFileId() {
    return archivesFileId;
  }

  public void setArchivesFileId(String archivesFileId) {
    this.archivesFileId = archivesFileId;
  }

  public String getRsFileType() {
    return rsFileType;
  }

  public void setRsFileType(String rsFileType) {
    this.rsFileType = rsFileType;
  }

  public String getJkFileDate() {
    return jkFileDate;
  }

  public void setJkFileDate(String jkFileDate) {
    this.jkFileDate = jkFileDate;
  }

  public String getCheckHospital() {
    return checkHospital;
  }

  public void setCheckHospital(String checkHospital) {
    this.checkHospital = checkHospital;
  }

  public String getCheckConclusion() {
    return checkConclusion;
  }

  public void setCheckConclusion(String checkConclusion) {
    this.checkConclusion = checkConclusion;
  }

  public Date getCheckDate() {
    return checkDate;
  }

  public void setCheckDate(Date checkDate) {
    this.checkDate = checkDate;
  }

  public String getArchivesId() {
    return archivesId;
  }

  public void setArchivesId(String archivesId) {
    this.archivesId = archivesId;
  }

  @Override
  public Date getCreateTime() {
    return createTime;
  }

  @Override
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  @Override
  public Date getUpdateTime() {
    return updateTime;
  }

  @Override
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  public long getCreateUser() {
    return createUser;
  }

  public void setCreateUser(long createUser) {
    this.createUser = createUser;
  }

  public long getUpdateUser() {
    return updateUser;
  }

  public void setUpdateUser(long updateUser) {
    this.updateUser = updateUser;
  }

  public String getDeleted() {
    return deleted;
  }

  public void setDeleted(String deleted) {
    this.deleted = deleted;
  }

  public List<SystemFile> getFileList() {
    return fileList;
  }

  public void setFileList(List<SystemFile> fileList) {
    this.fileList = fileList;
  }
}
